Bug 6715 - xmlControlField.js always fetches the value_builder xml files in the "en" directory.
Summary: xmlControlField.js always fetches the value_builder xml files in the "en" dir...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Frédérick Capovilla
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-12 17:40 UTC by Frédérick Capovilla
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Fix xmlControlfield.js so the xml files are fetched in the correct language directory. (4.47 KB, patch)
2011-08-12 18:00 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6715 - Fix xmlControlfield.js so the xml files are fetched in the correct language directory. (4.82 KB, patch)
2011-08-14 14:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2011-08-12 17:40:46 UTC
The xmlControlField.js file that is used to load the value_builder xml files for fields 006 and 008 always uses the file in the "en" directory, ignoring the current language.

This prevents translations in those xml files to work, because the "en" file is always used :
intranet-tmpl/prog/LANG/modules/cataloguing/value_builder/marc21_field_008.xml
intranet-tmpl/prog/LANG/modules/cataloguing/value_builder/marc21_field_006.xml
Comment 1 Frédérick Capovilla 2011-08-12 18:00:35 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-08-14 14:56:26 UTC
Created attachment 4998 [details] [review]
[SIGNED-OFF] Bug 6715 - Fix xmlControlfield.js so the xml files are fetched in the correct language directory.

xmlControlfield.js was always fetching the "en" xml file, preventing the translations
from working.

http://bugs.koha-community.org/show_bug.cgi?id=6715

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
- Apply patch
- Install language files, example: perl translate install de-DE
- Edit .xml files for value builders 006 and 008
- Test by creating a new record and using value builders
Comment 3 Ian Walls 2011-08-27 13:23:37 UTC
Easy patch to read, adds valuable information to templates, marking as Passed QA
Comment 4 Chris Cormack 2011-08-28 07:55:09 UTC
Pushed, please test
Comment 5 Chris Nighswonger 2011-10-26 18:02:14 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 6 Jared Camins-Esakov 2012-12-31 00:13:16 UTC
There have been no further reports of problems so I am marking this bug resolved.